function cookiemgrObj() { }; 

cookiemgrObj.prototype.set = function(c_name, value, expiredays) {
	if (window.widget) {
		window.widget.setPreferenceForKey(escape(value), c_name);
	} else {
		var exdate = new Date();
		exdate.setDate(exdate.getDate() + expiredays);
		document.cookie = c_name + "=" + escape(value) +
		((expiredays == null) ? "" : ";expires=" + exdate.toUTCString());	
	}
}

cookiemgrObj.prototype.get = function(c_name) {
	if (window.widget) {
		var s = window.widget.preferenceForKey(c_name);
		if (s == undefined || typeof s == undefined) {
			return "";
		}
		return unescape(s);
	} else {
		if (document.cookie.length > 0) {
			c_start = document.cookie.indexOf(c_name + "=");
			if (c_start != -1) {
				c_start = c_start + c_name.length + 1;
				c_end = document.cookie.indexOf(";", c_start);
				if (c_end == -1) {
					c_end = document.cookie.length;
				}
				return unescape(document.cookie.substring(c_start, c_end));
			}
		}
		return "";
	} 
}

cookiemgrObj.prototype.del = function(c_name) {
	if (window.widget) {
		window.widget.setPreferenceForKey(null, c_name);
	} else {
		this.set(c_name, "", -10);
	}
}

cookiemgrObj.prototype.getLim = function(c_name, defval, mxval){
	var val = this.get(c_name);
	if (val == "") {
		val = defval;
	} else {
		val = parseInt(val);
	}
	if (val < 0 || val > mxval) {
		val = defval;
	}
	return val;
}

var cookiemgr = new cookiemgrObj();
