function assert(expr, msg) {
	if (!expr)
		alert("Assertion failed\n" + msg);
}

function debugmgrObj() {
	this.diary = "";
	this.exprList = new Array();
}
debugmgrObj.prototype.log = function(s) {
	var d = new Date();
	this.diary += d.getFullYear() + "-" + this.lZero(d.getMonth()+1) + "-" + this.lZero(d.getDate()) + " ";
	this.diary += this.lZero(d.getHours()) + ":" + this.lZero(d.getMinutes()) + ":" + this.lZero(d.getSeconds());
	this.diary += "<small>:" + this.lZero(d.getMilliseconds()) + "</small> " + s + "<BR>";
}
debugmgrObj.prototype.register = function(e) {
	this.exprList.unshift(e);
}

debugmgrObj.prototype.lZero = function(x) {
	if (x < 10) {
		return "0" + x;
	} 
	return "" + x;
}
debugmgrObj.prototype.populate = function(){
	document.getElementById("debugLog").innerHTML = this.diary;
	var i = this.exprList.length;
	var s = "";
	while(i--) {
		s = s + this.exprList[i] + ": " + eval(this.exprList[i]) + "<BR>";
	}
	document.getElementById("debugState").innerHTML = s;
}	

debugmgrObj.prototype.showObject = function(obj) {
	var txt = "";
	try {
		if (typeof obj != 'object')
			return "" + obj;
		else {
			for(var key in obj) {
				txt +=  key + ":";
				txt += this.showObject( obj[key] );
				txt += '<BR/>';
			}
			txt += '<BR/>';
		}
	} catch (e) {
		alert("showObject: " + e);
	}
	this.log(txt);
}


var debugmgr = new debugmgrObj();
