//var SEQINC  = 0;
var SEQDEC   = 0;
var RANDOM   = 1;
var LATEST_1 = 2;
var LATEST_3 = 3;
var LATEST_5 = 4;
var STOPPED  = 5;
var ANIMATION = 0;
var IMMEDIATE = 1;

function controlObj() { 
	this.mode = SEQDEC;
	this.ttmode = ANIMATION;
	this.dTimer = null;
	this.msgIndex = 0; // Alustettaa jsmainissa numMessageksi
	this.demode = 0;
	this.delays = new Array(1,3,15,300);
	//this.running = 1;
	this.scrollmode = 1;
	this.msg = new mymessageObj(null);

	if (window.widget) {
		var that = this;
		window.widget.onexit = (function(){that.saveSettings()});
	}
}


controlObj.prototype.saveSettings = function(){
	cookiemgr.set("mode",   this.mode,   1000);
	cookiemgr.set("ttmode", this.ttmode, 1000);
	cookiemgr.set("demode", this.demode, 1000);
	cookiemgr.set("theme",  theme.theme, 1000);
	cookiemgr.set("scrollmode",  this.scrollmode, 1000);
}
controlObj.prototype.loadSettings = function(){
	this.mode = cookiemgr.getLim("mode", SEQDEC, STOPPED);
	this.ttmode = cookiemgr.getLim("ttmode", ANIMATION, 1);
	this.demode = cookiemgr.getLim("demode", 1, this.delays.length - 1);
	theme.theme = cookiemgr.getLim("theme", 3, theme.bgColors.length - 1);
	this.scrollmode = cookiemgr.getLim("scrollmode", 1, 1);
	winmgr.modeText(this.mode);
	winmgr.demodeText(this.delays[this.demode]);
	winmgr.ttmodeText(this.ttmode);
	winmgr.scrollText(this.scrollmode);
	winmgr.fillColors();
}

/*
controlObj.prototype.cb = function(msg){
	//clearTimeout(this.dTimer);
	this.stop();
	winmgr.updateContent(smskone.msg)
	//this.dTimer = setTimeout("control.run()", 1000*5);
	// Nayta seuraava viesti aikaisintaan 5 s kuluttua
	if (this.running == 1) {
		this.dTimer = setInterval("control.run()", Math.max(5000, 1000 * this.delays[this.demode]));
	}
}*/

controlObj.prototype.modeButton = function() {
	this.mode = (this.mode + 1) % (STOPPED+1);
	winmgr.modeText(this.mode);	

	var limit = smskone.N-1;
	if (global.trial == true) {
		limit = Math.min(4, limit);
	} 

	switch(this.mode) {
	case SEQDEC:
	case LATEST_1:
	case LATEST_3:
	case LATEST_5:
		this.msgIndex = limit;
		this.stop();
		this.start();
		break;
	case RANDOM:
		this.msgIndex = rand(limit)
		this.stop();
		this.start();
		break;
	case STOPPED:
		this.stop();
		if (this.scrollmode == 1)
			scroller.flush();
		}	
	/*
	if (this.mode == SEQINC) {
		this.msgIndex = 0;
		this.stop();
		this.start();
	} else if (this.mode == SEQDEC) {
		this.msgIndex = smskone.N - 1;
		this.stop();
		this.start();		
	} else if (this.mode == RANDOM) {
		this.msgIndex = rand(smskone.N-1);
		this.stop();
		this.start();
	} else if (this.mode == STOPPED) {
		this.stop();
		if (this.scrollmode == 1)
			scroller.flush();
	}
	*/
}

controlObj.prototype.isRunning = function(){
	if (this.mode != STOPPED)
		return true;
	else
		return false;
}
controlObj.prototype.demodeButton = function() {
	this.demode = (this.demode + 1) % this.delays.length;
	winmgr.demodeText(this.delays[this.demode]);
	//clearTimeout(this.dTimer);
	//this.run();
	if (this.isRunning()) {
		this.stop();
		this.start();
	}
}


controlObj.prototype.ttmodeButton = function() {
	this.ttmode = (this.ttmode + 1) % 2;
	winmgr.ttmodeText(this.ttmode);
}
controlObj.prototype.scrollButton = function() {
	this.scrollmode = (this.scrollmode + 1) % 2;
	winmgr.scrollText(this.scrollmode);
	if (this.scrollmode == 0) {
		scroller.flush();
	}
}

/*
controlObj.prototype.startButton = function() {
	this.running = (this.running + 1) % 2;
	winmgr.startText(this.running);
	if (this.running == 0) {
		this.stop();
		if (this.scrollmode == 1)
			scroller.flush()
	} else {
		this.start();
	}
}
*/

controlObj.prototype.start = function() {
	this.stop();
	this.run();
	//this.dTimer = setInterval("control.run()",  1000 * this.delays[this.demode]);
	//winmgr kaynnistaa timerin this.dTimer = setTimeout("control.run()", 1000 * this.delays[this.demode]);
}
controlObj.prototype.stop = function() {
	//clearInterval(this.dTimer);
	clearTimeout(this.dTimer);
	winmgr.flushAnimate();
}

controlObj.prototype.run = function(){
	//smskone.numMessages();
	if (smskone.N == 0) { // No messages
		this.msg = new mymessageObj(null);
	} else {
		this.msg = smskone.getMessage(this.msgIndex);
	}
	if (this.ttmode == ANIMATION) {
		winmgr.animate(10);
	} else {
		this.run2();
	}
	
	
}
controlObj.prototype.calcNextIndex = function() {
	var limit = smskone.numMessages()-1;
	if (global.trial == true) {
		limit = Math.min(4, limit);
	} 
	
	switch(this.mode) {
	case SEQDEC:
		this.msgIndex = this.msgIndex - 1;
		if (this.msgIndex < 0) 
			this.msgIndex = limit;
		break;
	case LATEST_1:
		this.msgIndex = limit;
		break;
	case LATEST_3:
		this.msgIndex = this.msgIndex - 1;
		if (this.msgIndex <= limit-3) {
			this.msgIndex = limit;
		}
		break;
	case LATEST_5:
		this.msgIndex = this.msgIndex - 1;
		if (this.msgIndex <= limit-5) {
			this.msgIndex = limit;
		}		
		break;
	case RANDOM:
		this.msgIndex = rand(limit);
		break;
	}
		
	if (this.msgIndex < 0) {     // Sanity check
		this.msgIndex = limit;
	}
	if (this.msgIndex > limit) { // Sanity check
		this.msgIndex = 0;
	}
	
}

controlObj.prototype.run2 = function(){
	/*if (this.mode == SEQINC) {
		this.msgIndex = (this.msgIndex + 1) % smskone.N;
	} else 
	*/
	/*if (this.mode == SEQDEC) {
			this.msgIndex = this.msgIndex - 1;
			if (this.msgIndex < 0) 
				this.msgIndex = smskone.N - 1;
	} else if (this.mode == RANDOM) {
		this.msgIndex = rand(smskone.N - 1);
	}*/
	this.calcNextIndex();
	winmgr.updateContent(this.msg)
}

controlObj.prototype.runImmediate = function(){
	/*if (this.mode == SEQINC) {
		this.msgIndex = (this.msgIndex + 1) % smskone.N;
	} else*/ 
	/*if (this.mode == SEQDEC) {
			this.msgIndex = this.msgIndex - 1;
			if (this.msgIndex < 0) 
				this.msgIndex = smskone.N - 1;
	} else if (this.mode == RANDOM) {
		this.msgIndex = rand(smskone.N - 1);
	}*/
	this.calcNextIndex();
	winmgr.updateContentImmediate(this.msg)
}


controlObj.prototype.runtimer = function(){
 	// kutsutaan winmgr puolelta skrollin/eiskrollatun jalkeen
	if (this.isRunning())
		this.dTimer = setTimeout("control.run()", 1000 * this.delays[this.demode]);
}

var control = new controlObj();


