window.onload = init; 

function init() {
	try {
		
		winmgr.init();
		
		debugmgr.register("smskone.p0");
		debugmgr.register("smskone.p1");
		debugmgr.register("smskone.p2");
		debugmgr.register("smskone.p3");
		debugmgr.register("smskone.p4");
		debugmgr.register("smskone.p5");
		debugmgr.register("smskone.p6");
		debugmgr.register("smskone.N");
		
		debugmgr.register("control.mode");
		
		global.homeView = winmgr.register("homeView");
		global.mainView1 = winmgr.register("mainView1");
		global.debugView = winmgr.register("debugView");
		global.aboutView = winmgr.register("aboutView");
		global.helpView = winmgr.register("helpView");
		global.licenseView = winmgr.register("licenseView");
		
		control.loadSettings();
		if (global.trial == true) {
			control.msgIndex = Math.min(4, smskone.numMessages()-1);
		} else {
			control.msgIndex = smskone.numMessages()-1;
		}
		
		winmgr.resize();
		
		debugmgr.log("Start");
		
		menumgr.add("About", (function(){winmgr.show(global.aboutView)}));
		menumgr.add("Help", (function(){winmgr.show(global.helpView)}));
		menumgr.add("License", (function(){winmgr.show(global.licenseView)}));
		//menumgr.add("Debug", (function(){debugmgr.populate();winmgr.show(global.debugView)}));
	
		if (control.running == 1) {
	 		control.start();
	 	}
		debugmgr.log("Start done");

	} 
	catch (e) {
		debugmgr.log("init error " + e)
	}
}
